set_node_attr {DiagrammeR} | R Documentation

## Set node attributes

### Description

From a graph object of class `dgr_graph` or a node data frame, set node attribute properties for one or more nodes.

### Usage

    set_node_attr(x, nodes = NULL, node_attr, values)

### Arguments

`x` | either a graph object of class `dgr_graph` that is created using `create_graph`, or a node data frame.
`nodes` | an optional vector of node IDs for filtering list of nodes present in the graph.
`node_attr` | the name of the attribute to set.
`values` | the values to be set for the chosen attribute for the chosen nodes.

### Value

either a graph object of class `dgr_graph` or a node data frame, depending on what type of object was supplied to `x`.

### Examples

    ## Not run:
    # Create a simple graph
    nodes <-
      create_nodes(nodes = c("a", "b", "c", "d"),
                   type = "letter",
                   label = TRUE,
                   value = c(3.5, 2.6, 9.4, 2.7))

    edges <-
      create_edges(from = c("a", "b", "c"),
                   to = c("d", "c", "a"),
                   rel = "leading_to")

    graph <-
      create_graph(nodes_df = nodes,
                   edges_df = edges)

    # Set attribute 'color = "green"' for nodes "a" and "c" using
    # the graph object
    graph <-
      set_node_attr(x = graph, nodes = c("a", "c"),
                    node_attr = "color", values = "green")

    # Set attribute 'color = "green"' for nodes "a" and "c" using
    # the node data frame
    nodes <-
      set_node_attr(x = nodes, nodes = c("a", "c"),
                    node_attr = "color", values = "green")

    #' # Set attribute 'color = "blue"' for all nodes
    # the node data frame
    nodes <-
      set_node_attr(x = nodes, node_attr = "color", values = "blue")

    ## End(Not run)

[Package DiagrammeR version 0.8.2 Index]